# getExecutionReasons

@Nullable
abstract fun getExecutionReasons(): @Nullable List<String>

Returns the reasons why this task was executed.

#### Return

the reasons why this task was executed; an empty list indicates the task was up-to-date; `null` that it failed before up-to-date checks had been performed.

#### Throws

UnsupportedMethodException

For Gradle versions older than 5.1, where this method is not supported.